#include <creaImageIOSystem.h>
#include <creaImageIOGimmickReaderDialog.h>

#include <creaVtkBasicSlicer.h>

#include <iostream>

int main(int argc, char* argv[])
{	
  if (argc>1)
    {
      int l = atoi(argv[1]);
      creaImageIO::SetGimmickMessageLevel(l);
    }

  std::vector<vtkImageData*> images;  
  bool r = creaImageIO::GimmickReaderDialog(images,
					    "GimmickReaderDialog test",
						"localdatabase_Descriptor.dscp",
				        "Local Database",
					    0,0,800,800,2,3,3,1);
  
  if (r)
    {
      std::cout << "$$$$ main : user clicked 'OK' $$$$"<<std::endl;
      crea::VtkBasicSlicer(images.front());
      images.front()->Delete();
     }
  else 
    {
      std::cout << "$$$$ main : user clicked 'CANCEL' $$$$"<<std::endl;
     }
}
