#include <boost/filesystem/path.hpp>
#include <boost/filesystem.hpp>
#include <boost/utility.hpp>
#include "creaImageIOImageReader.h"

namespace creaImageIO
{
	class SimpleView
	{
	public:
		/// Ctor
		SimpleView(){}

		///Dtor
		~SimpleView(){}
		
		/// read file(s) and return a vector of vtkImageData 
		bool readFile( std::vector<std::string> i_filenames, std::vector< vtkImageData *> &i_img);

		/// read a directory and return a vector of vtkImageData 
		bool readDirectory(const std::string i_pathname, std::vector< vtkImageData *> &i_imgs);

	};
}