#include <creaImageIOTree.h>
#include <creaImageIOSystem.h>


namespace creaImageIO
{
  namespace tree
  {
    
    Tree::Tree()
      : Node(0)
    {
      GimmickMessage(5,"Default Tree constructor"
		     << std::endl);
    
    }
    
    Tree::~Tree()
    {
      
    }

    void Tree::Print() const
    {
      GimmickMessage(1,GetLabel()<<std::endl);
      ChildrenListType::const_iterator i;
      for (i=GetChildrenList().begin(); i!=GetChildrenList().end(); i++)
	{
	  (*i)->Print();
	}
      
    }
  }
}
