#ifndef __creaImageIOWxEditFieldsPanel_h_INCLUDED__
#define __creaImageIOWxEditFieldsPanel_h_INCLUDED__

#ifdef USE_WXWIDGETS
#include <creaWx.h>
#include <creaImageIOWxGimmickView.h>


namespace creaImageIO
{
  /**
   * \ingroup GUI
   */
  //=====================================================================
 //=====================================================================
  class WxEditFieldsPanel : public wxPanel
  {
  public:
    WxEditFieldsPanel();    
	WxEditFieldsPanel(wxWindow *parent, 
		wxDialog* dial,
		WxGimmickView* view, 
		tree::Node* nod, 
		const std::vector<std::string> name,
		const std::vector<std::string> key);
    
    ~WxEditFieldsPanel();
	///Saves the configuration
	 void OnEdit(wxCommandEvent& event);
	 void OnComboChange(wxCommandEvent& event);

  private :
	tree::Node* node; 
	std::vector<std::string> names;
	std::vector<std::string> keys;
	wxDialog* dialog;
	WxGimmickView* mView;
	wxComboBox* attributes;
	wxStaticText * actualVal;
	wxTextCtrl* newVal;

	DECLARE_EVENT_TABLE()


  }; // class WxEditFieldsPanel
  //=====================================================================

  
} // EO namespace creaImageIO


#endif // USE_WIDGETS
// EOF
#endif

