#ifndef __creaImageIOWxGimmickTools_h_INCLUDED__
#define __creaImageIOWxGimmickTools_h_INCLUDED__

#ifdef USE_WXWIDGETS

#include <creaWx.h>

namespace creaImageIO
{
  /**
   * \ingroup Tools
   */
  //=====================================================================

  //=====================================================================

  class WxGimmickTools : public wxPanel
  {
	public:
		WxGimmickTools(wxWindow *parent, wxString mCurrentDirectory);		
		~WxGimmickTools();

		wxString getInputDir();
		wxString getOutputDir();
		bool getAddToDBCheckBoxValue();
		bool getMHDCheckBoxValue();
	private:
		wxCheckBox * _addCheckBox;
		wxCheckBox * _mhdCheckBox;
		wxTextCtrl * _inputPath;
		wxTextCtrl * _outputPath;
		wxString _currentDir;
		bool _addFiles;
		bool _mhd;
		void onInputDir(wxCommandEvent& event);
		void onOutputDir(wxCommandEvent& event);
		void onAddToDatabase(wxCommandEvent& event);
		void onMHD(wxCommandEvent& event);
	};
  
} // EO namespace creaImageIO

#endif // USE_WIDGETS
// EOF
#endif  
