#ifndef __creaImageIOWxListenerPanel_h_INCLUDED__
#define __creaImageIOWxListenerPanel_h_INCLUDED__

#ifdef USE_WXWIDGETS
#include <creaWx.h>
#include <creaImageIOWxGimmickView.h>


namespace creaImageIO
{
  /**
   * \ingroup GUI
   */
  //=====================================================================
 //=====================================================================
  class WxListenerPanel : public wxPanel
  {
  public:
    WxListenerPanel();    
	WxListenerPanel(wxWindow *parent, 
		wxDialog* dial,
		WxGimmickView* view,
		bool stat);
    
    ~WxListenerPanel();
	///Saves the configuration
	 void OnChangeListenState(wxCommandEvent& event);
    ///Changes the thread state(start/stop)
	 void OnChangeThreadState(wxCommandEvent& event);
	///Changes the state of the add boolean
	 void OnAdd(wxCommandEvent& event);
    ///Changes the state of the remove boolean
	 void OnRemove(wxCommandEvent& event);
  

  private :
	bool addFiles;
	bool removeFiles;
	bool state;
	wxCheckBox* addCheckBox;
	wxCheckBox* removeCheckBox;
	wxComboBox* drives;
	wxDialog* dialog;
	WxGimmickView* mView;


  }; // class WxListener
  //=====================================================================

  
} // EO namespace creaImageIO


#endif // USE_WIDGETS
// EOF
#endif

 
